<?xml version="1.0" encoding="utf-8"?>
<widget icon="people.gif" name="Выполнение заданий" unique="true" xmlns="http://bar.yandex.ru/dev/gui" xmlns:f="http://bar.yandex.ru/dev/functional">
    <f:setting name="vers" scope="widget" default="1.8">
    </f:setting>
    <f:setting name="http" scope="widget" default="http://www.uniq-ip.com">
    </f:setting>
    <f:setting name="path" scope="widget" default="/vxml/xml/">
    </f:setting>
    <f:setting name="path-poll" scope="widget" default="/vpoll/">
    </f:setting>
    <f:setting name="path-img" scope="widget" default="/vxml/img/">
    </f:setting>
    <f:setting name="path-setup" scope="widget" default="/vxml/setup/">
    </f:setting>
    <f:setting name="path-np" scope="widget" default="/vxml/np/?">
    </f:setting>
    <f:setting name="path-referer" scope="widget" default="/vxml/referer/?">
    </f:setting>
    <f:setting name="finish" scope="widget" default="/vxml/answer/finish.html">
    </f:setting>
    <f:setting name="path-add" scope="widget" default="/c/bar/add?np=">
    </f:setting>
    <f:setting name="add-txt" scope="widget" default="Добавить сайт в&#160;">
    </f:setting>
    <f:setting name="add-1" scope="widget" default="ВКонтакте">
    </f:setting>
    <f:setting name="add-2" scope="widget" default="Одноклассники">
    </f:setting>
    <f:setting name="add-3" scope="widget" default="Я.ру">
    </f:setting>
    <f:setting name="add-4" scope="widget" default="Mail.Ru">
    </f:setting>
    <f:setting name="add-5" scope="widget" default="Facebook">
    </f:setting>
    <f:setting name="add-6" scope="widget" default="Twitter">
    </f:setting>
    <f:setting name="add-7" scope="widget" default="Google Plus">
    </f:setting>
    <f:setting name="add-8" scope="widget" default="Livejournal">
    </f:setting>
    <f:setting name="keys" scope="widget">
        <control type="textedit" label="Ключевики:" value-type="string" max-length="150"/>
    </f:setting>
    <f:setting name="rss" scope="widget">
        <control type="checkbox" label="Показывать RSS-ленты"/>
    </f:setting>
    <f:setting name="video" scope="widget">
        <control type="checkbox" label="Показывать видеоклипы (обязуюсь просматривать)"/>
    </f:setting>
    <f:setting name="demo-s" scope="widget">
        <control type="radiogroup" label="Ваш пол:">
            <option label="не определять (меньше показов)" value=""/>
            <option label="мужской" value="m"/>
            <option label="женский" value="w"/>
        </control>
    </f:setting>
    <f:setting name="demo-y" scope="widget">
        <control type="radiogroup" label="Ваш возраст, лет:">
            <option label="до 12-ти" value="0-12"/>
            <option label="12-17" value="12-17"/>
            <option label="18-24" value="18-24"/>
            <option label="25-34" value="25-34"/>
            <option label="35-44" value="35-44"/>
            <option label="45-54" value="45-54"/>
            <option label="больше 55" value="55-99"/>
        </control>
    </f:setting>
    <f:setting name="switch-klava" scope="widget" default="0">
    </f:setting>
    <f:setting name="switch" scope="widget" default="0">
    </f:setting>
    <f:setting name="balans" scope="widget" default="0">
    </f:setting>
    <f:setting name="b" scope="widget" default="0">
    </f:setting>
    <f:setting name="na" scope="widget" default="0">
    </f:setting>
    <f:setting name="j" scope="widget" default="0">
    </f:setting>
    <f:setting name="code-o" scope="widget" default="0">
    </f:setting>
    <f:setting name="np-o" scope="widget" default="0">
    </f:setting>
    <f:setting name="pay-o" scope="widget" default="0">
    </f:setting>
    <f:setting name="run" scope="widget" default="0">
    </f:setting>
    <f:setting name="r-o" scope="widget" default="0">
    </f:setting>
    <f:setting name="z" scope="widget" default="0">
    </f:setting>
    <f:setting name="zz" scope="widget" default="0">
    </f:setting>
    <f:setting name="s" scope="widget" default="0">
    </f:setting>
    <f:setting name="w" scope="widget" default="0">
    </f:setting>
    <f:setting name="zerosurf" scope="widget" default="0">
    </f:setting>
    <f:setting name="poll-n-s" scope="widget" default="0">
    </f:setting>
    <f:setting name="poll-p-s" scope="widget" default="0">
    </f:setting>
    <f:setting name="code-s" scope="widget" default="0">
    </f:setting>
    <f:setting name="img-s" scope="widget" default="0">
    </f:setting>
    <f:setting name="pay-s" scope="widget" default="0">
    </f:setting>
    <f:setting name="np-s" scope="widget" default="0">
    </f:setting>
    <f:setting name="cn-s" scope="widget" default="0">
    </f:setting>
    <f:setting name="i-s" scope="widget" default="0">
    </f:setting>
    <f:setting name="a1-s" scope="widget" default="0">
    </f:setting>
    <f:setting name="a2-s" scope="widget" default="0">
    </f:setting>
    <f:setting name="a3-s" scope="widget" default="0">
    </f:setting>
    <f:setting name="sound" scope="widget" default="0">
    </f:setting>
    <f:data name="fin">
        <f:concat>
            <f:value-of name="http"/>
            <f:value-of name="finish"/>
        </f:concat>
    </f:data>
    <f:data name="video-q">
        <f:if>
            <f:value-of name="video"/>
            <f:value type="number">1</f:value>
            <f:value type="number">0</f:value>
        </f:if>
    </f:data>
    <f:data name="rss-q">
        <f:if>
            <f:value-of name="rss"/>
            <f:value type="number">1</f:value>
            <f:value type="number">0</f:value>
        </f:if>
    </f:data>
    <f:data name="tms">
        <f:timestamp>
            <f:param name="interval">
                <f:value type="number">1</f:value>
            </f:param>
        </f:timestamp>
    </f:data>
    <f:data name="cook_data">
        <f:cookie>
            <f:concat>
                <f:value-of name="http"/>
                <f:value type="string">/</f:value>
            </f:concat>
            <f:value type="string">data</f:value>
        </f:cookie>
    </f:data>
    <f:data name="id">
        <f:regex-search>
            <f:value type="string">[0-9]+</f:value>
            <f:value-of name="cook_data"/>
        </f:regex-search>
    </f:data>
    <f:data name="email">
        <f:cookie>
            <f:concat>
                <f:value-of name="http"/>
                <f:value type="string">/</f:value>
            </f:concat>
            <f:value type="string">email</f:value>
        </f:cookie>
    </f:data>
    <f:data name="q1">
        <f:request>
            <f:param name="url">
                <f:concat>
                    <f:value-of name="http"/>
                    <f:value-of name="path-setup"/>
                    <f:value type="string">?id=</f:value>
                    <f:value-of name="id"/>
                    <f:value type="string">&amp;demo-s=</f:value>
                    <f:value-of name="demo-s"/>
                    <f:value type="string">&amp;demo-y=</f:value>
                    <f:value-of name="demo-y"/>
                    <f:value type="string">&amp;rss=</f:value>
                    <f:value-of name="rss-q"/>
                    <f:value type="string">&amp;video=</f:value>
                    <f:value-of name="video-q"/>
                    <f:value type="string">&amp;keys=</f:value>
                    <f:value-of name="keys"/>
                    <f:value type="string">&amp;</f:value>
                    <f:timestamp>
                        <f:param name="interval">
                            <f:value type="number">180</f:value>
                        </f:param>
                    </f:timestamp>
                </f:concat>
            </f:param>
        </f:request>
    </f:data>
    <f:data name="pm1">
        <f:content>
            <f:value-of name="q1"/>
        </f:content>
    </f:data>
    <f:data name="q-ip">
        <f:try>
            <f:xpath>
                <f:value type="string">string(all/q-ip)</f:value>
                <f:value-of name="pm1"/>
            </f:xpath>
            <f:param name="...">
                <f:value type="number">5</f:value>
            </f:param>
        </f:try>
    </f:data>
    <f:data name="q-region">
        <f:try>
            <f:xpath>
                <f:value type="string">string(all/q-region)</f:value>
                <f:value-of name="pm1"/>
            </f:xpath>
            <f:param name="...">
                <f:value type="number">5</f:value>
            </f:param>
        </f:try>
    </f:data>
    <f:data name="q-answer">
        <f:try>
            <f:xpath>
                <f:value type="string">string(all/q-answer)</f:value>
                <f:value-of name="pm1"/>
            </f:xpath>
            <f:param name="...">
                <f:value type="number">5</f:value>
            </f:param>
        </f:try>
    </f:data>
    <f:data name="q-load">
        <f:try>
            <f:xpath>
                <f:value type="string">string(all/q-load)</f:value>
                <f:value-of name="pm1"/>
            </f:xpath>
            <f:param name="...">
                <f:value type="number">5</f:value>
            </f:param>
        </f:try>
    </f:data>
    <f:data name="q">
        <f:if>
            <f:not>
                <f:is-empty>
                    <f:value-of name="id"/>
                </f:is-empty>
            </f:not>
            <f:request>
                <f:param name="url">
                    <f:concat>
                        <f:value-of name="http"/>
                        <f:value-of name="path"/>
                        <f:value-of name="id"/>
                        <f:value type="string">.xml?</f:value>
                        <f:timestamp>
                            <f:param name="interval">
                                <f:value type="number">30</f:value>
                            </f:param>
                        </f:timestamp>
                    </f:concat>
                </f:param>
            </f:request>
            <f:value type="empty"/>
        </f:if>
    </f:data>
    <f:data name="pm">
        <f:content>
            <f:value-of name="q"/>
        </f:content>
    </f:data>
    <f:data name="r">
        <f:xpath>
            <f:value type="string">string(all/r)</f:value>
            <f:value-of name="pm"/>
        </f:xpath>
    </f:data>
    <f:data name="warn">
        <f:if>
            <f:and>
                <f:not>
                    <f:is-empty>
                        <f:value-of name="demo-s"/>
                    </f:is-empty>
                </f:not>
                <f:not>
                    <f:is-empty>
                        <f:value-of name="demo-y"/>
                    </f:is-empty>
                </f:not>
            </f:and>
            <f:try>
                <f:xpath>
                    <f:value type="string">string(all/warn)</f:value>
                    <f:value-of name="pm"/>
                </f:xpath>
                <f:param name="...">
                    <f:value type="empty"/>
                </f:param>
            </f:try>
            <f:value type="string">Не сделаны настройки!</f:value>
        </f:if>
    </f:data>
    <f:data name="warn-full">
        <f:if>
            <f:and>
                <f:not>
                    <f:is-empty>
                        <f:value-of name="demo-s"/>
                    </f:is-empty>
                </f:not>
                <f:not>
                    <f:is-empty>
                        <f:value-of name="demo-y"/>
                    </f:is-empty>
                </f:not>
            </f:and>
            <f:xpath>
                <f:value type="string">string(all/warn-full)</f:value>
                <f:value-of name="pm"/>
            </f:xpath>
            <f:value type="string">Зайдите в настройки серфинг-бара и заполните анкету.</f:value>
        </f:if>
    </f:data>
    
        <f:if>
            <f:or>
                <f:not-equal>
                    <f:value-of name="r-o"/>
                    <f:value-of name="r"/>
                </f:not-equal>
                <f:time-arrived>
                    <f:param name="time">
                        <f:value-of name="switch-klava"/>
                    </f:param>
                </f:time-arrived>
            </f:or>
            <f:assign name="j">
                <f:value type="number">0</f:value>
            </f:assign>
            <f:value type="empty"/>
        </f:if>
    
        <f:if>
            <f:or>
                <f:not-equal>
                    <f:value-of name="r-o"/>
                    <f:value-of name="r"/>
                </f:not-equal>
                <f:time-arrived>
                    <f:param name="time">
                        <f:value-of name="switch-klava"/>
                    </f:param>
                </f:time-arrived>
            </f:or>
            <f:assign name="i-s">
                <f:value type="number">0</f:value>
            </f:assign>
            <f:value type="empty"/>
        </f:if>
    
        <f:if>
            <f:not-equal>
                <f:value-of name="r-o"/>
                <f:value-of name="r"/>
            </f:not-equal>
            <f:assign name="r-o">
                <f:value-of name="r"/>
            </f:assign>
            <f:value type="empty"/>
        </f:if>
    <f:data name="cn">
        <f:xpath>
            <f:concat>
                <f:value type="string">count(all/s[i&gt;</f:value>
                <f:value-of name="j"/>
                <f:value type="string">])</f:value>
            </f:concat>
            <f:value-of name="pm"/>
        </f:xpath>
    </f:data>
    <f:data name="i">
        <f:xpath>
            <f:concat>
                <f:value type="string">number(all/s[i&gt;</f:value>
                <f:value-of name="j"/>
                <f:value type="string">][1]/i)</f:value>
            </f:concat>
            <f:value-of name="pm"/>
        </f:xpath>
    </f:data>
    <f:data name="item">
        <f:try>
            <f:xpath>
                <f:concat>
                    <f:value type="string">number(all/s[i&gt;</f:value>
                    <f:value-of name="j"/>
                    <f:value type="string">][1]/it)</f:value>
                </f:concat>
                <f:value-of name="pm"/>
            </f:xpath>
            <f:param name="...">
                <f:value type="number">0</f:value>
            </f:param>
        </f:try>
    </f:data>
    <f:data name="np">
        <f:if>
            <f:gt>
                <f:value-of name="item"/>
                <f:value type="number">0</f:value>
            </f:gt>
            <f:concat>
                <f:xpath>
                    <f:concat>
                        <f:value type="string">string(all/s[i&gt;</f:value>
                        <f:value-of name="j"/>
                        <f:value type="string">][1]/np)</f:value>
                    </f:concat>
                    <f:value-of name="pm"/>
                </f:xpath>
                <f:value type="string">.</f:value>
                <f:value-of name="item"/>
            </f:concat>
            <f:xpath>
                <f:concat>
                    <f:value type="string">string(all/s[i&gt;</f:value>
                    <f:value-of name="j"/>
                    <f:value type="string">][1]/np)</f:value>
                </f:concat>
                <f:value-of name="pm"/>
            </f:xpath>
        </f:if>
    </f:data>
    <f:data name="code">
        <f:xpath>
            <f:concat>
                <f:value type="string">string(all/s[i&gt;</f:value>
                <f:value-of name="j"/>
                <f:value type="string">][1]/c)</f:value>
            </f:concat>
            <f:value-of name="pm"/>
        </f:xpath>
    </f:data>
    <f:data name="img">
        <f:xpath>
            <f:concat>
                <f:value type="string">string(all/s[i&gt;</f:value>
                <f:value-of name="j"/>
                <f:value type="string">][1]/im)</f:value>
            </f:concat>
            <f:value-of name="pm"/>
        </f:xpath>
    </f:data>
    <f:data name="pay">
        <f:xpath>
            <f:concat>
                <f:value type="string">number(all/s[i&gt;</f:value>
                <f:value-of name="j"/>
                <f:value type="string">][1]/p)</f:value>
            </f:concat>
            <f:value-of name="pm"/>
        </f:xpath>
    </f:data>
    <f:data name="a1">
        <f:xpath>
            <f:concat>
                <f:value type="string">string(all/s[i&gt;</f:value>
                <f:value-of name="j"/>
                <f:value type="string">][1]/a1)</f:value>
            </f:concat>
            <f:value-of name="pm"/>
        </f:xpath>
    </f:data>
    <f:data name="a2">
        <f:xpath>
            <f:concat>
                <f:value type="string">string(all/s[i&gt;</f:value>
                <f:value-of name="j"/>
                <f:value type="string">][1]/a2)</f:value>
            </f:concat>
            <f:value-of name="pm"/>
        </f:xpath>
    </f:data>
    <f:data name="a3">
        <f:xpath>
            <f:concat>
                <f:value type="string">string(all/s[i&gt;</f:value>
                <f:value-of name="j"/>
                <f:value type="string">][1]/a3)</f:value>
            </f:concat>
            <f:value-of name="pm"/>
        </f:xpath>
    </f:data>
    <f:data name="referer">
        <f:try>
            <f:xpath>
                <f:concat>
                    <f:value type="string">number(all/s[i&gt;</f:value>
                    <f:value-of name="j"/>
                    <f:value type="string">][1]/r)</f:value>
                </f:concat>
                <f:value-of name="pm"/>
            </f:xpath>
            <f:param name="...">
                <f:value type="number">0</f:value>
            </f:param>
        </f:try>
    </f:data>
    <f:data name="delay">
        <f:if>
            <f:gt>
                <f:value-of name="cn"/>
                <f:value type="number">0</f:value>
            </f:gt>
            <f:xpath>
                <f:concat>
                    <f:value type="string">number(all/s[i&gt;</f:value>
                    <f:value-of name="j"/>
                    <f:value type="string">][1]/d)</f:value>
                </f:concat>
                <f:value-of name="pm"/>
            </f:xpath>
            <f:value type="number">20</f:value>
        </f:if>
    </f:data>
    <f:data name="url">
        <f:if>
            <f:equal>
                <f:value-of name="referer"/>
                <f:value type="number">0</f:value>
            </f:equal>
            <f:concat>
                <f:value-of name="http"/>
                <f:value-of name="path-np"/>
            </f:concat>
            <f:concat>
                <f:value-of name="http"/>
                <f:value-of name="path-referer"/>
            </f:concat>
        </f:if>
    </f:data>
    <f:data name="poll-n">
        <f:xpath>
            <f:concat>
                <f:value type="string">string(all/s[i&gt;</f:value>
                <f:value-of name="j"/>
                <f:value type="string">][1]/p-n)</f:value>
            </f:concat>
            <f:value-of name="pm"/>
        </f:xpath>
    </f:data>
    <f:data name="poll-p">
        <f:xpath>
            <f:concat>
                <f:value type="string">number(all/s[i&gt;</f:value>
                <f:value-of name="j"/>
                <f:value type="string">][1]/p-p)</f:value>
            </f:concat>
            <f:value-of name="pm"/>
        </f:xpath>
    </f:data>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="poll-n-s">
                <f:value-of name="poll-n"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="poll-p-s">
                <f:value-of name="poll-p"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="code-s">
                <f:value-of name="code"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="img-s">
                <f:value-of name="img"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="pay-s">
                <f:value-of name="pay"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="np-s">
                <f:value-of name="np"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="cn-s">
                <f:value-of name="cn"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="i-s">
                <f:value-of name="i"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="a1-s">
                <f:value-of name="a1"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="a2-s">
                <f:value-of name="a2"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="a3-s">
                <f:value-of name="a3"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="switch">
                <f:add>
                    <f:value-of name="tms"/>
                    <f:value-of name="delay"/>
                </f:add>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="switch-klava">
                <f:add>
                    <f:value-of name="tms"/>
                    <f:value type="number">3600</f:value>
                </f:add>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:equal>
                <f:value-of name="zz"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:assign name="zz">
                <f:value type="number">0</f:value>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    <f:data name="qx">
        <f:request>
            <f:param name="url">
                <f:concat>
                    <f:value-of name="http"/>
                    <f:value-of name="path"/>
                    <f:value type="string">?co=</f:value>
                    <f:value-of name="code-o"/>
                    <f:value type="string">&amp;npo=</f:value>
                    <f:value-of name="np-o"/>
                    <f:value type="string">&amp;na=</f:value>
                    <f:value-of name="na"/>
                    <f:value type="string">&amp;c=</f:value>
                    <f:value-of name="code"/>
                    <f:value type="string">&amp;np=</f:value>
                    <f:value-of name="np"/>
                    <f:value type="string">&amp;r=</f:value>
                    <f:value-of name="vers"/>
                    <f:value type="string">&amp;id=</f:value>
                    <f:value-of name="id"/>
                    <f:value type="string">&amp;h=</f:value>
                    <f:digest>
                        <f:concat>
                            <f:value-of name="code"/>
                            <f:value-of name="np"/>
                        </f:concat>
                    </f:digest>
                </f:concat>
            </f:param>
        </f:request>
    </f:data>
    <f:data name="answer">
        <f:xpath>
            <f:value type="string">number(answer/a)</f:value>
            <f:content>
                <f:value-of name="qx"/>
            </f:content>
        </f:xpath>
    </f:data>
    
        <f:if>
            <f:and>
                <f:equal>
                    <f:value-of name="z"/>
                    <f:value type="number">1</f:value>
                </f:equal>
                <f:not>
                    <f:is-empty>
                        <f:value-of name="answer"/>
                    </f:is-empty>
                </f:not>
                <f:equal>
                    <f:value-of name="answer"/>
                    <f:value-of name="na"/>
                </f:equal>
            </f:and>
            <f:assign name="balans">
                <f:add>
                    <f:value-of name="b"/>
                    <f:value-of name="pay-o"/>
                </f:add>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:and>
                <f:equal>
                    <f:value-of name="z"/>
                    <f:value type="number">1</f:value>
                </f:equal>
                <f:not>
                    <f:is-empty>
                        <f:value-of name="answer"/>
                    </f:is-empty>
                </f:not>
            </f:and>
            <f:assign name="z">
                <f:value type="number">0</f:value>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:lte>
                <f:value-of name="cn-s"/>
                <f:value type="number">0</f:value>
            </f:lte>
            <f:assign name="run">
                <f:value type="number">0</f:value>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    <f:data name="poll-code">
        <f:cookie>
            <f:concat>
                <f:value-of name="http"/>
                <f:value type="string">/vpoll/</f:value>
            </f:concat>
            <f:concat>
                <f:value type="string">poll</f:value>
                <f:value-of name="poll-n-s"/>
            </f:concat>
        </f:cookie>
    </f:data>
    
        <f:if>
            <f:and>
                <f:not>
                    <f:is-empty>
                        <f:value-of name="poll-code"/>
                    </f:is-empty>
                </f:not>
                <f:equal>
                    <f:value-of name="poll-code"/>
                    <f:value-of name="code-s"/>
                </f:equal>
            </f:and>
            <f:assign name="w">
                <f:value-of name="poll-p-s"/>
            </f:assign>
            <f:assign name="w">
                <f:value type="number">0</f:value>
            </f:assign>
        </f:if>
    <f:data name="zs">
        <f:cookie>
            <f:concat>
                <f:value-of name="http"/>
                <f:value type="string">/</f:value>
            </f:concat>
            <f:value type="string">zerosurf</f:value>
        </f:cookie>
    </f:data>
    
        <f:if>
            <f:and>
                <f:not>
                    <f:is-empty>
                        <f:value-of name="zs"/>
                    </f:is-empty>
                </f:not>
                <f:not-equal>
                    <f:value-of name="zs"/>
                    <f:value-of name="zerosurf"/>
                </f:not-equal>
            </f:and>
            <f:assign name="balans">
                <f:value type="number">0</f:value>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:and>
                <f:not>
                    <f:is-empty>
                        <f:value-of name="zs"/>
                    </f:is-empty>
                </f:not>
                <f:not-equal>
                    <f:value-of name="zs"/>
                    <f:value-of name="zerosurf"/>
                </f:not-equal>
            </f:and>
            <f:assign name="b">
                <f:value type="number">0</f:value>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    
        <f:if>
            <f:and>
                <f:not>
                    <f:is-empty>
                        <f:value-of name="zs"/>
                    </f:is-empty>
                </f:not>
                <f:not-equal>
                    <f:value-of name="zs"/>
                    <f:value-of name="zerosurf"/>
                </f:not-equal>
            </f:and>
            <f:assign name="zerosurf">
                <f:value-of name="zs"/>
            </f:assign>
            <f:value type="string"/>
        </f:if>
    <f:optional>
        <f:and>
            <f:is-empty>
                <f:value-of name="warn"/>
            </f:is-empty>
            <f:not>
                <f:is-empty>
                    <f:value-of name="id"/>
                </f:is-empty>
            </f:not>
            <f:equal>
                <f:value-of name="run"/>
                <f:value type="number">0</f:value>
            </f:equal>
            <f:gt>
                <f:value-of name="cn"/>
                <f:value type="number">0</f:value>
            </f:gt>
            <f:equal>
                <f:value-of name="sound"/>
                <f:value type="number">0</f:value>
            </f:equal>
        </f:and>
        <f:play-sound>
            <f:value type="string">play.wav</f:value>
        </f:play-sound>
        
            <f:assign name="sound">
                <f:value type="number">1</f:value>
            </f:assign>
    </f:optional>
    <f:optional>
        <f:not>
            <f:is-empty>
                <f:value-of name="warn"/>
            </f:is-empty>
        </f:not>
        <button>
            <icon>people.gif</icon>
            <text>
                <style color="#C00000">
                    <f:value-of name="warn"/>
                </style></text>
            <tooltip>
                <f:value-of name="warn-full"/>
            </tooltip>
            <action>
                <f:setup-widget/>
            </action>
        </button>
    </f:optional>
    <f:optional>
        <f:and>
            <f:is-empty>
                <f:value-of name="warn"/>
            </f:is-empty>
            <f:is-empty>
                <f:value-of name="id"/>
            </f:is-empty>
        </f:and>
        <button>
            <icon>people.gif</icon>
            <text>Войти в сервис</text>
            <action>
                <f:assign name="b">
                    <f:value type="number">0</f:value>
                </f:assign>
                <f:assign name="balans">
                    <f:value type="number">0</f:value>
                </f:assign>
                <f:navigate>
                    <f:concat>
                        <f:value-of name="http"/>
                        <f:value type="string">/c/bar/enter</f:value>
                    </f:concat>
                    <f:param name="target">
                        <f:value type="string">new popup</f:value>
                    </f:param>
                    <f:param name="width">
                        <f:value type="number">300</f:value>
                    </f:param>
                    <f:param name="height">
                        <f:value type="number">150</f:value>
                    </f:param>
                </f:navigate>
            </action>
        </button>
    </f:optional>
    <f:optional>
        <f:and>
            <f:is-empty>
                <f:value-of name="warn"/>
            </f:is-empty>
            <f:not>
                <f:is-empty>
                    <f:value-of name="id"/>
                </f:is-empty>
            </f:not>
            <f:not-equal>
                <f:value-of name="run"/>
                <f:value type="number">1</f:value>
            </f:not-equal>
        </f:and>
        <button>
            <icon>people.gif</icon>
            <f:optional>
                <f:or>
                    <f:gt>
                        <f:value-of name="cn-s"/>
                        <f:value type="number">0</f:value>
                    </f:gt>
                    <f:gt>
                        <f:value-of name="cn"/>
                        <f:value type="number">0</f:value>
                    </f:gt>
                </f:or>
                <text>Просмотреть сайты:&#160;
                    <style font-weight="bold">
                        <f:value-of name="cn"/>
                    </style></text>
                <action>
                    <f:assign name="na">
                        <f:value type="number">0</f:value>
                    </f:assign>
                    <f:assign name="np-o">
                        <f:value type="number">0</f:value>
                    </f:assign>
                    <f:assign name="code-o">
                        <f:value type="number">0</f:value>
                    </f:assign>
                    <f:assign name="pay-o">
                        <f:value type="number">0</f:value>
                    </f:assign>
                    <f:assign name="zz">
                        <f:value type="number">1</f:value>
                    </f:assign>
                    <f:assign name="run">
                        <f:value type="number">1</f:value>
                    </f:assign>
                    <f:update>
                        <f:value-of name="qx"/>
                    </f:update>
                    <f:navigate>
                        <f:param name="url">
                            <f:concat>
                                <f:value-of name="url"/>
                                <f:value-of name="np"/>
                            </f:concat>
                        </f:param>
                        <f:param name="target">
                            <f:value type="string">current tab</f:value>
                        </f:param>
                    </f:navigate>
                </action>
            </f:optional>
            <f:optional>
                <f:not>
                    <f:or>
                        <f:gt>
                            <f:value-of name="cn-s"/>
                            <f:value type="number">0</f:value>
                        </f:gt>
                        <f:gt>
                            <f:value-of name="cn"/>
                            <f:value type="number">0</f:value>
                        </f:gt>
                    </f:or>
                </f:not>
                <action>
                    <f:navigate>
                        <f:concat>
                            <f:value-of name="http"/>
                            <f:value-of name="finish"/>
                        </f:concat>
                    </f:navigate>
                </action>
                <text>Нет сайтов для просмотра</text>
                
                    <f:assign name="sound">
                        <f:value type="number">0</f:value>
                    </f:assign>
            </f:optional>
        </button>
    </f:optional>
    <f:optional>
        <f:and>
            <f:is-empty>
                <f:value-of name="warn"/>
            </f:is-empty>
            <f:not>
                <f:is-empty>
                    <f:value-of name="id"/>
                </f:is-empty>
            </f:not>
            <f:equal>
                <f:value-of name="run"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:not>
                <f:is-empty>
                    <f:value-of name="poll-n-s"/>
                </f:is-empty>
            </f:not>
            <f:is-empty>
                <f:value-of name="poll-code"/>
            </f:is-empty>
        </f:and>
        <button>
            <icon>foaf.png</icon>
            <text>+
                <style font-weight="bold">
                    <f:value-of name="poll-p-s"/>
                </style></text>
            <tooltip>
                <grid max-width="270" h-align="top">
                    <row>
                        <cell>Дополнительно к просмотру Вам предлагается выполнить опрос</cell>
                    </row>
                    <row>
                        <cell>
                            <f:concat>
                                <f:value type="string">Оплата за выполнение опроса, UNIQ:&#160;</f:value>
                                <f:value-of name="poll-p-s"/>
                            </f:concat>
                        </cell>
                    </row>
                    <row>
                        <cell>Необходимо выбрать хотя-бы один ответ в каждом вопросе.</cell>
                    </row>
                </grid>
            </tooltip>
            <action>
                <f:navigate>
                    <f:param name="url">
                        <f:concat>
                            <f:value-of name="http"/>
                            <f:value-of name="path-poll"/>
                            <f:value-of name="poll-n-s"/>
                            <f:value type="string">.xml?poll=</f:value>
                            <f:value-of name="poll-n-s"/>
                            <f:value type="string">&amp;code=</f:value>
                            <f:value-of name="code-s"/>
                        </f:concat>
                    </f:param>
                    <f:param name="target">
                        <f:value type="string">new popup</f:value>
                    </f:param>
                    <f:param name="width">
                        <f:value type="number">620</f:value>
                    </f:param>
                    <f:param name="height">
                        <f:value type="number">500</f:value>
                    </f:param>
                </f:navigate>
            </action>
        </button>
    </f:optional>
    <f:optional>
        <f:and>
            <f:is-empty>
                <f:value-of name="warn"/>
            </f:is-empty>
            <f:not>
                <f:is-empty>
                    <f:value-of name="id"/>
                </f:is-empty>
            </f:not>
            <f:equal>
                <f:value-of name="run"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:time-arrived>
                <f:param name="time">
                    <f:value-of name="switch"/>
                </f:param>
            </f:time-arrived>
        </f:and>
        <button>
            <icon>
                <f:concat>
                    <f:value-of name="http"/>
                    <f:value-of name="path-img"/>
                    <f:value-of name="img-s"/>
                </f:concat>
            </icon>
            <tooltip>
                <grid max-width="170">
                    <row>
                        <cell>
                            <icon>
                                <f:concat>
                                    <f:value-of name="http"/>
                                    <f:value-of name="path-img"/>
                                    <f:value-of name="img-s"/>
                                </f:concat>
                            </icon>
                            <text>Вам нужно выбрать один из трех ответов справа и нажать на него</text>
                        </cell>
                    </row>
                </grid>
            </tooltip>
        </button>
        <button>
            <text>
                <f:value-of name="a1-s"/>
            </text>
            <action>
                <f:assign name="na">
                    <f:value type="number">1</f:value>
                </f:assign>
                <f:assign name="np-o">
                    <f:value-of name="np-s"/>
                </f:assign>
                <f:assign name="code-o">
                    <f:value-of name="code-s"/>
                </f:assign>
                <f:assign name="pay-o">
                    <f:value-of name="pay-s"/>
                </f:assign>
                <f:assign name="j">
                    <f:value-of name="i-s"/>
                </f:assign>
                <f:assign name="b">
                    <f:add>
                        <f:value-of name="balans"/>
                        <f:value-of name="w"/>
                    </f:add>
                </f:assign>
                <f:assign name="zz">
                    <f:value type="number">1</f:value>
                </f:assign>
                <f:assign name="z">
                    <f:value type="number">1</f:value>
                </f:assign>
                <f:navigate>
                    <f:param name="url">
                        <f:if>
                            <f:is-empty>
                                <f:value-of name="np"/>
                            </f:is-empty>
                            <f:value-of name="fin"/>
                            <f:concat>
                                <f:value-of name="url"/>
                                <f:value-of name="np"/>
                            </f:concat>
                        </f:if>
                    </f:param>
                    <f:param name="target">
                        <f:value type="string">current tab</f:value>
                    </f:param>
                </f:navigate>
            </action>
        </button>
        <button>
            <text>
                <f:value-of name="a2-s"/>
            </text>
            <action>
                <f:assign name="na">
                    <f:value type="number">2</f:value>
                </f:assign>
                <f:assign name="np-o">
                    <f:value-of name="np-s"/>
                </f:assign>
                <f:assign name="code-o">
                    <f:value-of name="code-s"/>
                </f:assign>
                <f:assign name="pay-o">
                    <f:value-of name="pay-s"/>
                </f:assign>
                <f:assign name="j">
                    <f:value-of name="i-s"/>
                </f:assign>
                <f:assign name="b">
                    <f:add>
                        <f:value-of name="balans"/>
                        <f:value-of name="w"/>
                    </f:add>
                </f:assign>
                <f:assign name="zz">
                    <f:value type="number">1</f:value>
                </f:assign>
                <f:assign name="z">
                    <f:value type="number">1</f:value>
                </f:assign>
                <f:navigate>
                    <f:param name="url">
                        <f:if>
                            <f:is-empty>
                                <f:value-of name="np"/>
                            </f:is-empty>
                            <f:value-of name="fin"/>
                            <f:concat>
                                <f:value-of name="url"/>
                                <f:value-of name="np"/>
                            </f:concat>
                        </f:if>
                    </f:param>
                    <f:param name="target">
                        <f:value type="string">current tab</f:value>
                    </f:param>
                </f:navigate>
            </action>
        </button>
        <button>
            <text>
                <f:value-of name="a3-s"/>
            </text>
            <action>
                <f:assign name="na">
                    <f:value type="number">3</f:value>
                </f:assign>
                <f:assign name="np-o">
                    <f:value-of name="np-s"/>
                </f:assign>
                <f:assign name="code-o">
                    <f:value-of name="code-s"/>
                </f:assign>
                <f:assign name="pay-o">
                    <f:value-of name="pay-s"/>
                </f:assign>
                <f:assign name="j">
                    <f:value-of name="i-s"/>
                </f:assign>
                <f:assign name="b">
                    <f:add>
                        <f:value-of name="balans"/>
                        <f:value-of name="w"/>
                    </f:add>
                </f:assign>
                <f:assign name="zz">
                    <f:value type="number">1</f:value>
                </f:assign>
                <f:assign name="z">
                    <f:value type="number">1</f:value>
                </f:assign>
                <f:navigate>
                    <f:param name="url">
                        <f:if>
                            <f:is-empty>
                                <f:value-of name="np"/>
                            </f:is-empty>
                            <f:value-of name="fin"/>
                            <f:concat>
                                <f:value-of name="url"/>
                                <f:value-of name="np"/>
                            </f:concat>
                        </f:if>
                    </f:param>
                    <f:param name="target">
                        <f:value type="string">current tab</f:value>
                    </f:param>
                </f:navigate>
            </action>
        </button>
    </f:optional>
    <f:optional>
        <f:and>
            <f:is-empty>
                <f:value-of name="warn"/>
            </f:is-empty>
            <f:not>
                <f:is-empty>
                    <f:value-of name="id"/>
                </f:is-empty>
            </f:not>
            <f:equal>
                <f:value-of name="run"/>
                <f:value type="number">1</f:value>
            </f:equal>
            <f:not>
                <f:time-arrived>
                    <f:param name="time">
                        <f:value-of name="switch"/>
                    </f:param>
                </f:time-arrived>
            </f:not>
        </f:and>
        <button>
            <icon>alarm.png</icon>
            <text>&#160;Ожидайте&#160;
                <style font-weight="bold">
                    <f:sub>
                        <f:value-of name="switch"/>
                        <f:value-of name="tms"/>
                    </f:sub>
                </style>
                <text>&#160;секунд</text></text>
            <tooltip>
                <grid max-width="270" h-align="top">
                    <row>
                        <cell>
                            <icon>info.png</icon>
                        </cell>
                        <cell>
                            <text>
                                <f:if>
                                    <f:is-empty>
                                        <f:value-of name="img"/>
                                    </f:is-empty>
                                    <f:value type="empty"/>
                                    <f:value type="string">Следующая каптча:</f:value>
                                </f:if>
                            </text>
                            <icon>
                                <f:if>
                                    <f:is-empty>
                                        <f:value-of name="img"/>
                                    </f:is-empty>
                                    <f:value type="empty"/>
                                    <f:concat>
                                        <f:value-of name="http"/>
                                        <f:value-of name="path-img"/>
                                        <f:value-of name="img-s"/>
                                    </f:concat>
                                </f:if>
                            </icon>
                        </cell>
                    </row>
                    <row>
                        <cell>
                            <icon>info.png</icon>
                        </cell>
                        <cell>
                            <text>Осталось просмотреть сайтов:&#160;</text>
                            <style font-weight="bold">
                                <f:value-of name="cn"/>
                            </style>
                        </cell>
                    </row>
                    <row>
                        <cell width="20">
                            <icon>info.png</icon>
                        </cell>
                        <cell>Вы можете не дожидаться окончания просмотра и перейти на Общий счет, но тогда просмотр этого сайта засчитан не будет</cell>
                    </row>
                </grid>
            </tooltip>
        </button>
    </f:optional>
    <f:optional>
        <f:and>
            <f:is-empty>
                <f:value-of name="warn"/>
            </f:is-empty>
            <f:not>
                <f:is-empty>
                    <f:value-of name="id"/>
                </f:is-empty>
            </f:not>
            <f:equal>
                <f:value-of name="run"/>
                <f:value type="number">1</f:value>
            </f:equal>
        </f:and>
        <button>
            <icon>add/add.png</icon>
            <tooltip>Добавьте понравившийся сайт в любимый социальный сервис</tooltip>
            <menu>
                <menuitem>
                    <icon>add/add_1.png</icon>
                    <text>
                        <f:value-of name="add-1"/>
                    </text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value-of name="path-add"/>
                                <f:value-of name="np"/>
                                <f:value type="string">&amp;add=1</f:value>
                            </f:concat>
                            <f:param name="target">
                                <f:value type="string">new popup</f:value>
                            </f:param>
                            <f:param name="width">
                                <f:value type="number">700</f:value>
                            </f:param>
                            <f:param name="height">
                                <f:value type="number">550</f:value>
                            </f:param>
                            <f:param name="title">
                                <f:concat>
                                    <f:value-of name="add-txt"/>
                                    <f:value-of name="add-1"/>
                                </f:concat>
                            </f:param>
                        </f:navigate>
                    </action>
                </menuitem>
                <menuitem>
                    <icon>add/add_2.png</icon>
                    <text>
                        <f:value-of name="add-2"/>
                    </text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value-of name="path-add"/>
                                <f:value-of name="np"/>
                                <f:value type="string">&amp;add=2</f:value>
                            </f:concat>
                            <f:param name="target">
                                <f:value type="string">new popup</f:value>
                            </f:param>
                            <f:param name="width">
                                <f:value type="number">700</f:value>
                            </f:param>
                            <f:param name="height">
                                <f:value type="number">550</f:value>
                            </f:param>
                            <f:param name="title">
                                <f:concat>
                                    <f:value-of name="add-txt"/>
                                    <f:value-of name="add-2"/>
                                </f:concat>
                            </f:param>
                        </f:navigate>
                    </action>
                </menuitem>
                <menuitem>
                    <icon>add/add_3.png</icon>
                    <text>
                        <f:value-of name="add-3"/>
                    </text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value-of name="path-add"/>
                                <f:value-of name="np"/>
                                <f:value type="string">&amp;add=3</f:value>
                            </f:concat>
                            <f:param name="target">
                                <f:value type="string">new popup</f:value>
                            </f:param>
                            <f:param name="width">
                                <f:value type="number">700</f:value>
                            </f:param>
                            <f:param name="height">
                                <f:value type="number">550</f:value>
                            </f:param>
                            <f:param name="title">
                                <f:concat>
                                    <f:value-of name="add-txt"/>
                                    <f:value-of name="add-3"/>
                                </f:concat>
                            </f:param>
                        </f:navigate>
                    </action>
                </menuitem>
                <menuitem>
                    <icon>add/add_4.png</icon>
                    <text>
                        <f:value-of name="add-4"/>
                    </text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value-of name="path-add"/>
                                <f:value-of name="np"/>
                                <f:value type="string">&amp;add=4</f:value>
                            </f:concat>
                            <f:param name="target">
                                <f:value type="string">new popup</f:value>
                            </f:param>
                            <f:param name="width">
                                <f:value type="number">700</f:value>
                            </f:param>
                            <f:param name="height">
                                <f:value type="number">550</f:value>
                            </f:param>
                            <f:param name="title">
                                <f:concat>
                                    <f:value-of name="add-txt"/>
                                    <f:value-of name="add-4"/>
                                </f:concat>
                            </f:param>
                        </f:navigate>
                    </action>
                </menuitem>
                <separator/>
                <menuitem>
                    <icon>add/add_5.png</icon>
                    <text>
                        <f:value-of name="add-5"/>
                    </text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value-of name="path-add"/>
                                <f:value-of name="np"/>
                                <f:value type="string">&amp;add=5</f:value>
                            </f:concat>
                            <f:param name="target">
                                <f:value type="string">new popup</f:value>
                            </f:param>
                            <f:param name="width">
                                <f:value type="number">700</f:value>
                            </f:param>
                            <f:param name="height">
                                <f:value type="number">550</f:value>
                            </f:param>
                            <f:param name="title">
                                <f:concat>
                                    <f:value-of name="add-txt"/>
                                    <f:value-of name="add-5"/>
                                </f:concat>
                            </f:param>
                        </f:navigate>
                    </action>
                </menuitem>
                <menuitem>
                    <icon>add/add_6.png</icon>
                    <text>
                        <f:value-of name="add-6"/>
                    </text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value-of name="path-add"/>
                                <f:value-of name="np"/>
                                <f:value type="string">&amp;add=6</f:value>
                            </f:concat>
                            <f:param name="target">
                                <f:value type="string">new popup</f:value>
                            </f:param>
                            <f:param name="width">
                                <f:value type="number">700</f:value>
                            </f:param>
                            <f:param name="height">
                                <f:value type="number">550</f:value>
                            </f:param>
                            <f:param name="title">
                                <f:concat>
                                    <f:value-of name="add-txt"/>
                                    <f:value-of name="add-6"/>
                                </f:concat>
                            </f:param>
                        </f:navigate>
                    </action>
                </menuitem>
                <menuitem>
                    <icon>add/add_7.png</icon>
                    <text>
                        <f:value-of name="add-7"/>
                    </text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value-of name="path-add"/>
                                <f:value-of name="np"/>
                                <f:value type="string">&amp;add=7</f:value>
                            </f:concat>
                            <f:param name="target">
                                <f:value type="string">new popup</f:value>
                            </f:param>
                            <f:param name="width">
                                <f:value type="number">700</f:value>
                            </f:param>
                            <f:param name="height">
                                <f:value type="number">550</f:value>
                            </f:param>
                            <f:param name="title">
                                <f:concat>
                                    <f:value-of name="add-txt"/>
                                    <f:value-of name="add-7"/>
                                </f:concat>
                            </f:param>
                        </f:navigate>
                    </action>
                </menuitem>
                <menuitem>
                    <icon>add/add_8.png</icon>
                    <text>
                        <f:value-of name="add-8"/>
                    </text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value-of name="path-add"/>
                                <f:value-of name="np"/>
                                <f:value type="string">&amp;add=8</f:value>
                            </f:concat>
                            <f:param name="target">
                                <f:value type="string">new popup</f:value>
                            </f:param>
                            <f:param name="width">
                                <f:value type="number">700</f:value>
                            </f:param>
                            <f:param name="height">
                                <f:value type="number">550</f:value>
                            </f:param>
                            <f:param name="title">
                                <f:concat>
                                    <f:value-of name="add-txt"/>
                                    <f:value-of name="add-8"/>
                                </f:concat>
                            </f:param>
                        </f:navigate>
                    </action>
                </menuitem>
            </menu>
        </button>
    </f:optional>
    <f:optional>
        <f:not>
            <f:is-empty>
                <f:value-of name="id"/>
            </f:is-empty>
        </f:not>
        <button>
            <icon>sum1.png</icon>
            <text>
                <f:value type="string">+</f:value>
                <style font-weight="bold">
                    <f:div>
                        <f:format-number>
                            <f:param name="value">
                                <f:mul>
                                    <f:value-of name="balans"/>
                                    <f:value type="number">10</f:value>
                                </f:mul>
                            </f:param>
                            <f:param name="precision">
                                <f:value type="number">0</f:value>
                            </f:param>
                        </f:format-number>
                        <f:value type="number">10</f:value>
                    </f:div>
                </style>
            </text>
            <action>
                <f:navigate>
                    <f:concat>
                        <f:value-of name="http"/>
                        <f:value type="string">/c/bar/balans?</f:value>
                        <f:value-of name="tms"/>
                    </f:concat>
                    <f:param name="target">
                        <f:value type="string">new popup</f:value>
                    </f:param>
                    <f:param name="width">
                        <f:value type="number">310</f:value>
                    </f:param>
                    <f:param name="height">
                        <f:value type="number">190</f:value>
                    </f:param>
                    <f:param name="title">
                        <f:value type="string">Выводим UNIQ из бара</f:value>
                    </f:param>
                </f:navigate>
            </action>
            <tooltip>
                <grid width="310">
                    <row>
                        <cell>
                            <icon>user.png</icon>
                        </cell>
                        <cell>
                            <text>
                                <f:value-of name="email"/>
                            </text>
                        </cell>
                    </row>
                    <row>
                        <cell width="20">
                            <icon>info.png</icon>
                        </cell>
                        <cell>
                            <text>Оценка просмотра: правильные ответы:&#160;
                                <style font-weight="bold">
                                    <f:value-of name="q-answer"/>
                                    <attribute name="color">
                                        <f:if>
                                            <f:lt>
                                                <f:value-of name="q-answer"/>
                                                <f:value type="number">3</f:value>
                                            </f:lt>
                                            <f:value type="string">#C00000</f:value>
                                            <f:value type="string">#000000</f:value>
                                        </f:if>
                                    </attribute>
                                </style></text>
                        </cell>
                    </row>
                    <row>
                        <cell>
                            <icon>info.png</icon>
                        </cell>
                        <cell>
                            <text>Оценка просмотра: смена региона:&#160;
                                <style font-weight="bold">
                                    <f:value-of name="q-region"/>
                                    <attribute name="color">
                                        <f:if>
                                            <f:lt>
                                                <f:value-of name="q-region"/>
                                                <f:value type="number">3</f:value>
                                            </f:lt>
                                            <f:value type="string">#C00000</f:value>
                                            <f:value type="string">#000000</f:value>
                                        </f:if>
                                    </attribute>
                                </style></text>
                        </cell>
                    </row>
                    <row>
                        <cell>
                            <icon>info.png</icon>
                        </cell>
                        <cell>
                            <text>Оценка просмотра: смена IP-адреса:&#160;
                                <style font-weight="bold">
                                    <f:value-of name="q-ip"/>
                                    <attribute name="color">
                                        <f:if>
                                            <f:lt>
                                                <f:value-of name="q-ip"/>
                                                <f:value type="number">3</f:value>
                                            </f:lt>
                                            <f:value type="string">#C00000</f:value>
                                            <f:value type="string">#000000</f:value>
                                        </f:if>
                                    </attribute>
                                </style></text>
                        </cell>
                    </row>
                    <row>
                        <cell/>
                        <cell>
                            <text>--------------------------------------</text>
                        </cell>
                    </row>
                    <row>
                        <cell>
                            <icon>balans.png</icon>
                        </cell>
                        <cell>
                            <text>Нажмите, чтобы вывести UNIQ на счет</text>
                        </cell>
                    </row>
                    <f:optional>
                        <f:or>
                            <f:lt>
                                <f:value-of name="q-answer"/>
                                <f:value type="number">3</f:value>
                            </f:lt>
                            <f:lt>
                                <f:value-of name="q-region"/>
                                <f:value type="number">3</f:value>
                            </f:lt>
                            <f:lt>
                                <f:value-of name="q-ip"/>
                                <f:value type="number">3</f:value>
                            </f:lt>
                            <f:lt>
                                <f:value-of name="q-load"/>
                                <f:value type="number">3</f:value>
                            </f:lt>
                        </f:or>
                        <row>
                            <cell>
                                <icon>info.png</icon>
                            </cell>
                            <cell>
                                <text>
                                    <style color="#C00000">
                                        <f:value type="string">Внимание! Оценка просмотра по одному из показателей стала ниже 3-х. При оценке '2' аккаунт может быть блокирован!</f:value>
                                    </style></text>
                            </cell>
                        </row>
                    </f:optional>
                </grid>
            </tooltip>
        </button>
        <button>
            <icon>menu.png</icon>
            <menu>
                <menuitem>
                    <icon>setup.png</icon>
                    <text>Настройки просмотра</text>
                    <action>
                        <f:setup-widget/>
                    </action>
                </menuitem>
                <menuitem>
                    <icon>history.png</icon>
                    <text>История просмотров</text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value type="string">/c/bar/r?site=3</f:value>
                            </f:concat>
                        </f:navigate>
                    </action>
                </menuitem>
                <menuitem>
                    <icon>delete.png</icon>
                    <text>Черный список</text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value type="string">/c/bar/black?np=</f:value>
                                <f:value-of name="np-s"/>
                            </f:concat>
                            <f:param name="target">
                                <f:value type="string">new popup</f:value>
                            </f:param>
                            <f:param name="width">
                                <f:value type="number">620</f:value>
                            </f:param>
                            <f:param name="height">
                                <f:value type="number">500</f:value>
                            </f:param>
                            <f:param name="title">
                                <f:value type="string">Черный список</f:value>
                            </f:param>
                        </f:navigate>
                    </action>
                </menuitem>
                <separator/>
                <menuitem>
                    <icon>views.png</icon>
                    <text>Показать свой сайт</text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value type="string">/c/bar/r?site=1</f:value>
                            </f:concat>
                        </f:navigate>
                    </action>
                </menuitem>
                <menuitem>
                    <icon>links.png</icon>
                    <text>Разместить ссылки</text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value type="string">/c/bar/r?site=2</f:value>
                            </f:concat>
                        </f:navigate>
                    </action>
                </menuitem>
                <separator/>
                <menuitem>
                    <icon>balans.png</icon>
                    <text>Вывести UNIQ из бара</text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value type="string">/c/bar/balans?</f:value>
                                <f:value-of name="tms"/>
                            </f:concat>
                            <f:param name="target">
                                <f:value type="string">new popup</f:value>
                            </f:param>
                            <f:param name="width">
                                <f:value type="number">310</f:value>
                            </f:param>
                            <f:param name="height">
                                <f:value type="number">190</f:value>
                            </f:param>
                            <f:param name="title">
                                <f:value type="string">Выводим UNIQ из бара</f:value>
                            </f:param>
                        </f:navigate>
                    </action>
                </menuitem>
                <menuitem>
                    <icon>sum.png</icon>
                    <text>Общий счет</text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value type="string">/c/bar/r?site=0</f:value>
                            </f:concat>
                        </f:navigate>
                    </action>
                </menuitem>
                <menuitem>
                    <icon>exit.png</icon>
                    <text>Выйти из бара</text>
                    <action>
                        <f:navigate>
                            <f:concat>
                                <f:value-of name="http"/>
                                <f:value type="string">/c/bar/exit?</f:value>
                                <f:value-of name="tms"/>
                            </f:concat>
                            <f:param name="target">
                                <f:value type="string">new popup</f:value>
                            </f:param>
                            <f:param name="width">
                                <f:value type="number">310</f:value>
                            </f:param>
                            <f:param name="height">
                                <f:value type="number">150</f:value>
                            </f:param>
                        </f:navigate>
                    </action>
                </menuitem>
            </menu>
        </button>
    </f:optional>
</widget>
